Bug 1294708 - Build for python3 in EPEL7
Build for python3 in EPEL7
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-crypto (Show other bugs)
epel7
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 17:14 EST by Orion Poplawski
Modified: 2016-01-20 23:37 EST (History)
3 users (show)

See Also:
Fixed In Version: python-crypto-2.6.1-9.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 23:37:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to build python34-crypto (2.18 KB, patch)
2015-12-29 17:14 EST, Orion Poplawski
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2015-12-29 17:14:32 EST
Created attachment 1110373 [details]
Patch to build python34-crypto

Description of problem:

We now have python34 in EPEL7.  Let's build python-crypto for it.  The attached patch does the trick.

Version-Release number of selected component (if applicable):
python-crypto-2.6.1-8.el7
Comment 1 Paul Howarth 2016-01-04 11:16:50 EST
Package updated in Rawhide to add necessary support, but still waiting on libtomcrypt update for EPEL-7 before I can build there:

https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a12955d446
Comment 2 Orion Poplawski 2016-01-04 11:23:32 EST
Thanks.  I've pushed libtomcrypt to stable, though you can also submit a buildroot override as well.
Comment 3 Fedora Update System 2016-01-05 05:06:06 EST
python-crypto-2.6.1-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bbf04f1b2a
Comment 4 Fedora Update System 2016-01-05 18:26:26 EST
python-crypto-2.6.1-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bbf04f1b2a
Comment 5 Fedora Update System 2016-01-20 23:37:39 EST
python-crypto-2.6.1-9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.